import { RacingDomainValidationError } from '../errors/RacingDomainError';

export class Weight {
  private constructor(private readonly value: number) {}

  static create(value: number): Weight {
    if (value <= 0) {
      throw new RacingDomainValidationError('Weight must be positive');
    }
    return new Weight(value);
  }

  toNumber(): number {
    return this.value;
  }

  equals(other: Weight): boolean {
    return this.value === other.value;
  }
}